%define		kdeplasmaver	5.15.3
%define		qtver		5.9.0
%define		kpname		kgamma5
Summary:	kgamma5
Name:		kp5-%{kpname}
Version:	5.15.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	cb4e1b8f8d4b4f3bf53a35b7bb02fe48
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is a tool for monitor gamma correction. With proper gamma
settings, your display (websites, images, etc.) will look the same on
your monitor as on other monitors. It allows you to alter the
monitor's gamma correction of the X-Server. But that's not all to do.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_kgamma.so
%{_datadir}/kgamma
%{_datadir}/kservices5/kgamma.desktop
%changelog
* Sun May 19 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kgamma5.git;a=log;h=master

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 5b26e98
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 06d26a1
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 000e17c
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 72275b8
- updated to 5.11.2

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 48e98fd
- new

